Subject: rsync transfer method: add option the --exclude argument
Description

add an exclude option for rsync task (--exclude arguments)

History
#1 - 2013-10-03 13:03 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24306

#2 - 2013-10-03 13:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24306

#3 - 2013-10-03 13:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24306

#4 - 2013-10-04 09:41 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24306

#5 - 2014-06-09 21:34 - Andreas Dörler

Hi,

this patch looks good to me. We're using something similar to exclude files and folders from rsync.

There is just one little thing, which should be changed imho:

$excludeFlags[] = '--exclude \'' . escapeshellarg($exclude) . '\'';

escapeshellarg automatically adds quotes, so there is no need for the extra \'

It'd be great to have this very useful patch integrated.
Kind regards
Andreas

#6 - 2014-06-10 10:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 5 for branch master of project Packages/TYPO3.Surf has been pushed to the review server.
It is available at https://review.typo3.org/24306

#7 - 2014-06-10 10:42 - Lars Malach

Thanks Andreas for the hint.. I updated the patch..

Best, Lars
